Bug 57681 - FORMATTING: Filling Color Cannot Be Reselected For Transparency
Summary: FORMATTING: Filling Color Cannot Be Reselected For Transparency
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2012-11-29 10:35 UTC by bugquestcontri
Modified: 2019-12-03 14:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Draw file with description of actions and results shown in screenshots (102.33 KB, application/vnd.oasis.opendocument.graphics)
2012-11-29 10:35 UTC, bugquestcontri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2012-11-29 10:35:25 UTC
Created attachment 70783 [details]
Draw file with description of actions and results shown in screenshots

Problem description: 
When editing the color of a bar chart created in Impress and select one time in the Data Series window Area Fill Gradient or Hatching or Btimap or None, Color cannot be selected anymore without closing the Data Series window.

Steps to reproduce:
1. Opened the Impress Chart Rainer Bielefeld made for  bug 56766 in Read Only mode
2. Double click to go into editing mode of the chart
3. Click on a column
4. Right click on the column select Format Data Series
5. Select a Area Fill Color and select any color
6. Select Transparency Gradient (or Transparency or No Transparency does not change the behavior in ALL following steps) (selected color is displayed)
7. Select Area Fill Gradient and any gradient
8. Select Transparency (selected gradient is displayed)
9. Select Area Fill Color and any color
10. Select Transparency (selected color is NOT displayed but the previously selcted gradient)

Instead of Color and Gradient, Color and Hatching and Color and Bitmap and Color and None show the same behavior. Any switching sequence between Gradient, Hatching, Bitmap and None showed correct behavior when going from Area to Transparency.

Next I tested Impress Chart which I submitted to bug 56766. I open it in normal mode (not Read Only) from my  HDD. There I observed an equivalent behavior but Gradient behaved like Color in the file of Rainer Bielefeld.
Therefore I made test 3. I created a new Column Chart in Impress and observed the same behavior as in Rainer Bielefelds' slide which I opened only in Read Only  mode

An additional observation was made in all charts used for testing:
When switching from Area Fill Color, to Area Fill Hatching the last selected color was displayed as background color and does not match the background color of the hatching patterns.

Current behavior:

Whenever a switch was made from Color to Gradient, the Color does not show up in Transparency. The same is valid for Hatching, Bitmap and None. 

However, changing to all kind of Gradients, Hatching, and Bitmap, and None  works correct when going to Transparency. Only Color does not show up in Transparency when there was once one of the other Fill were selected

According to the other two test I made the behavior is instable.

Expected behavior:

Whatever Area Fill I selected, this Fill should be displayed in Transparency

LibO 3..5.7.2 on XP pro /SP3

I can be contacted.


              
Operating System: Windows XP
Last worked in: 3.5.7.2 release
Comment 1 Rob Snelders 2012-12-02 19:38:52 UTC
Thank you for reporting this bug.

Confirmed with 3.6.0.1. But is this really a regression? Do you know in which version of LibreOffice this did work?
Comment 2 bugquestcontri 2012-12-03 01:26:30 UTC
I don't understand your question about "regression" and I don't know a LibO version in which this function does not have a bug. I only observed this behavior in my current version. No other versions installed.
Comment 3 QA Administrators 2015-01-05 17:51:21 UTC Comment hidden (obsolete)
Comment 4 bugquestcontri 2015-01-14 10:54:36 UTC
I repeated my originally described procedure and could reproduce the bug in Version: 4.3.5.2
Build ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5
Comment 5 Buovjaga 2015-01-20 16:10:50 UTC
Reproduced with attachment 70772 [details] according to the instructions in attachment 70783 [details].

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 6 QA Administrators 2016-02-21 08:35:15 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 15:11:46 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:08:26 UTC
Dear bugquestcontri,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug